# PXMLObject Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLObject:

List of all members.

## Public Member Functions

| PXMLObject (PXMLElement *par)
PXMLElement * | GetParent () const
PXMLObject * | GetNextObject () const
void | SetParent (PXMLElement *newParent)
PString | AsString () const
virtual void | Output (ostream &strm, const PXMLBase &xml, int indent) const =0
virtual PBoolean | IsElement () const =0
void | SetDirty ()
bool | IsDirty () const
virtual PXMLObject * | Clone (PXMLElement *parent) const =0

## Protected Attributes

PXMLElement * | parent
bool | dirty

## Constructor & Destructor Documentation

PXMLObject::PXMLObject | ( | PXMLElement * | par | ) | `[inline]`

## Member Function Documentation

PString PXMLObject::AsString | ( |  | ) | const

virtual PXMLObject* PXMLObject::Clone | ( | PXMLElement * | parent | ) | const`[pure virtual]`

Implemented in PXMLData, and PXMLElement.

PXMLObject* PXMLObject::GetNextObject | ( |  | ) | const

PXMLElement* PXMLObject::GetParent | ( |  | ) | const`[inline]`

bool PXMLObject::IsDirty | ( |  | ) | const`[inline]`

virtual PBoolean PXMLObject::IsElement | ( |  | ) | const`[pure virtual]`

Implemented in PXMLData, and PXMLElement.

virtual void PXMLObject::Output | ( | ostream & | strm,
|  | const PXMLBase & | xml,
|  | int | indent |
| ) |  |  | const`[pure virtual]`

Implemented in PXMLData, and PXMLElement.

void PXMLObject::SetDirty | ( |  | ) |

void PXMLObject::SetParent | ( | PXMLElement * | newParent | ) | `[inline]`

## Member Data Documentation

bool PXMLObject::dirty `[protected]`

Reimplemented in PXMLElement.

PXMLElement* PXMLObject::parent `[protected]`

The documentation for this class was generated from the following file:

- pxml.h